Bug 1302977 - Accumulo translator: rowid column is compared as string in WHERE clause
Accumulo translator: rowid column is compared as string in WHERE clause
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.3.0
Assigned To: Van Halbert
Jan Stastny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 03:20 EST by Jan Stastny
Modified: 2016-08-24 07:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:37:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3944 Major Closed Accumulo translator: rowid column is compared as string in WHERE clause 2016-06-08 11:05 EDT

  None (edit)
Description Jan Stastny 2016-01-29 03:20:35 EST
Description of problem:
When user models required rowid column as integer in his source model, problems appear when querying the rowid in WHERE clause of an sql query.
See linked JIRA for more info.
Comment 1 JBoss JIRA Server 2016-01-29 13:12:57 EST
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3944 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-01-30 14:48:03 EST
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3944 to Resolved
Comment 3 JBoss JIRA Server 2016-06-08 11:05:02 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3944 to Closed

Note You need to log in before you can comment on or make changes to this bug.